Index: trunk/ab5.0/abdev/BasicCompiler64/NumOpe.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler64/NumOpe.cpp	(revision 463)
+++ trunk/ab5.0/abdev/BasicCompiler64/NumOpe.cpp	(revision 468)
@@ -177,5 +177,5 @@
 				// オブジェクトメンバのポインタをraxにコピー
 				if( !VarToReg( tempRelativeVar, baseType, resultType ) ){
-					SetError(11,termFull,cp);
+					compiler.errorMessenger.Output(11,termFull,cp);
 				}
 			}
@@ -220,5 +220,5 @@
 			if( !leftType.IsStruct() )
 			{
-				SetError();
+				compiler.errorMessenger.OutputFatalError();
 			}
 
@@ -344,5 +344,5 @@
 	{
 		// 関数ポインタ
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 
 		///////////////////////////////////////////////////////////////////
@@ -354,5 +354,5 @@
 	}
 
-	SetError();
+	compiler.errorMessenger.OutputFatalError();
 
 	return false;
@@ -412,5 +412,5 @@
 			if( isProcedureCallOnly )
 			{
-				SetError(1,NULL,cp);
+				compiler.errorMessenger.Output(1,NULL,cp);
 			}
 			return false;
@@ -444,5 +444,5 @@
 		if( compiler.pCompilingClass == NULL )
 		{
-			SetError(142,NULL,cp);
+			compiler.errorMessenger.Output(142,NULL,cp);
 			return false;
 		}
@@ -475,5 +475,5 @@
 			//閉じカッコ")"に続く文字がNULLでないとき
 			if(termFull[i2+1+i4+1]!='\0'){
-				SetError(42,NULL,cp);
+				compiler.errorMessenger.Output(42,NULL,cp);
 			}
 
@@ -537,5 +537,5 @@
 
 				//閉じカッコ")"に続く文字がNULLでないときはエラーにする
-				if(termFull[i2+1+i4+1]!='\0') SetError(42,NULL,cp);
+				if(termFull[i2+1+i4+1]!='\0') compiler.errorMessenger.Output(42,NULL,cp);
 
 				//マクロ関数の場合
@@ -658,5 +658,5 @@
 	if( isProcedureCallOnly )
 	{
-		SetError(3, termLeft, cp );
+		compiler.errorMessenger.Output(3, termLeft, cp );
 	}
 
@@ -687,5 +687,5 @@
 		// 変数の場合はeaxに変数ポインタを格納する
 		if( !VarToReg( relativeVar, baseType, resultType ) ){
-			SetError(11,term,cp);
+			compiler.errorMessenger.Output(11,term,cp);
 		}
 	}
@@ -715,5 +715,5 @@
 	if( pobj_reg )
 	{
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 
@@ -726,5 +726,5 @@
 	if( !isVariable )
 	{
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 
@@ -753,5 +753,5 @@
 
 	if(expression[0]=='\0'){
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		return false;
 	}
@@ -836,5 +836,5 @@
 
 			if( pobj_BlockReg->check(REG_RAX) ){
-				SetError();
+				compiler.errorMessenger.OutputFatalError();
 			}
 
@@ -937,5 +937,5 @@
 						else GetCalcName(idCalc,temp2);
 						sprintf(temporary,"Operator %s",temp2);
-						SetError(27,temporary,cp);
+						compiler.errorMessenger.Output(27,temporary,cp);
 						goto error;
 					}
@@ -971,5 +971,5 @@
 					}
 					else{
-						SetError(3, term, cp );
+						compiler.errorMessenger.Output(3, term, cp );
 						goto error;
 					}
@@ -997,5 +997,5 @@
 						// 拡張版リテラル文字列（エスケープシーケンス可能）
 						if(!RemoveStringQuotes(term+2)){
-							SetError(43,NULL,cp);
+							compiler.errorMessenger.Output(43,NULL,cp);
 							goto error;
 						}
@@ -1007,5 +1007,5 @@
 						// 通常文字列
 						if(!RemoveStringQuotes(term)){
-							SetError(43,NULL,cp);
+							compiler.errorMessenger.Output(43,NULL,cp);
 							goto error;
 						}
@@ -1066,5 +1066,5 @@
 								}
 							}
-							SetError(38,term,cp);
+							compiler.errorMessenger.Output(38,term,cp);
 
 							goto error;
@@ -1080,5 +1080,5 @@
 						if( resultType.GetBasicType() & FLAG_CAST ){
 							// 型名のみ
-							SetError();
+							compiler.errorMessenger.OutputFatalError();
 						}
 						else{
@@ -1190,5 +1190,5 @@
 						}
 						else{
-							SetError(1,NULL,0);
+							compiler.errorMessenger.Output(1,NULL,0);
 							goto error;
 						}
@@ -1198,5 +1198,5 @@
 					//該当する識別子が見当たらないときはエラー扱いにする
 					bError=1;
-					SetError(3,term,cp);
+					compiler.errorMessenger.Output(3,term,cp);
 					type_stack[sp]=DEF_DOUBLE;
 				}
@@ -1235,5 +1235,5 @@
 
 						if(XmmReg==REG_XMM4){
-							SetError();		// TODO: 未実装
+							compiler.errorMessenger.OutputFatalError();		// TODO: 未実装
 							//push term
 							//compiler.codeGenerator.op_push_value(i32data);
@@ -1333,5 +1333,5 @@
 				if( PTR_LEVEL( type_stack[sp-1] ) <= 0 ){
 					//ポインタ型ではないとき
-					SetError( 3, NULL, cp );
+					compiler.errorMessenger.Output( 3, NULL, cp );
 					goto error;
 				}
@@ -1342,5 +1342,5 @@
 
 			default:
-				SetError(300,NULL,cp);
+				compiler.errorMessenger.Output(300,NULL,cp);
 				goto error;
 		}
@@ -1350,10 +1350,10 @@
 
 	if(sp!=1){
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		goto error;
 	}
 
 	if(bLiteralCalculation){
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 	else{
